Mailinglist Archive: opensuse-security-announce (57 mails)

< Previous Next >
[security-announce] openSUSE-SU-2018:1634-1: moderate: Security update for mupdf
openSUSE Security Update: Security update for mupdf
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:1634-1
Rating: moderate
References: #1080531
Cross-References: CVE-2018-1000051
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for mupdf fixes the following security issue:

- CVE-2018-1000051: Prevent use after free in fz_keep_key_storable that
can result in DOS / possible code execution. This attack appear to be
exploitable via Victim opens a specially crafted PDF (bsc#1080531).


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2018-592=1



Package List:

- openSUSE Leap 15.0 (i586 x86_64):

mupdf-1.12.0-lp150.3.3.1
mupdf-debuginfo-1.12.0-lp150.3.3.1
mupdf-debugsource-1.12.0-lp150.3.3.1
mupdf-devel-static-1.12.0-lp150.3.3.1


References:

https://www.suse.com/security/cve/CVE-2018-1000051.html
https://bugzilla.suse.com/1080531

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages